#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QPushButton>
#include <QLineEdit>
#include <QCloseEvent>

class MainWindow : public QMainWindow {
    Q_OBJECT
public:
    explicit MainWindow(QWidget *parent = 0);

protected :
    void closeEvent(QCloseEvent* event);

private:
    void setThemes(int theme = BLACK);
    void createMenu();

public slots:
    void changeCurrentTheme(int newTheme);

private:
    enum Themes { BLACK, WHITE };
    int currentTheme;

    QWidget *centralPanel;
    QPushButton *customButton;
    QLineEdit *input;

    QAction *quit;
    QAction *black;
    QAction *white;
};

#endif // MAINWINDOW_H
